This week's book giveaway is in the JavaScript forum.
We're giving away four copies of JavaScript Promises Essentials and have Rami Sarieddine on-line!
See this thread for details.
The moose likes Tomcat and the fly likes Can not install Tomcat4.0 into Window 95? Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of JavaScript Promises Essentials this week in the JavaScript forum!
JavaRanch » Java Forums » Products » Tomcat
Bookmark "Can not install Tomcat4.0 into Window 95?" Watch "Can not install Tomcat4.0 into Window 95?" New topic
Author

Can not install Tomcat4.0 into Window 95?

james
Greenhorn

Joined: Jan 28, 2002
Posts: 5
After instlling Tomcat4.0 into my winodwMe successfully, I tried to install Tomcat4.0 into Window95 for some experientments. But I just cannot install it. When I double clicked Tomcat executable file icon, it pops out" cannot find Java development kit installed, please download from http://www.java.sun.com".
But I have installed j2sdk1.4.0 priously. I also add path and classpath for d2sdk1.4.0 into autoexec.bat, and test it in DOS window successfully. But none works.
Any suggestion? Does Tomcat4.0 cannot compatible with Window95?


Learning is no limit!
Roy Ben Ami
Ranch Hand

Joined: Jan 13, 2002
Posts: 732
i had the same problem.
it is a bug in the tomcat exe.
instead d/l the zip version of tomcat and unzip it .
works fine then!
james
Greenhorn

Joined: Jan 28, 2002
Posts: 5
Roy Ben Ami, Thanks. It works.
I am also doing another test, if you know the answer, please let me know.
What I did is put a HelloServlet.class file into the following directory,
<tomcat home>webapps\ROOT\WEB-INF\Classes\, then invoke the servlet: http://localhost:8080/servlet/HelloServlet. Based on the tutorial, this processedure should be right. But I failed to invoke HelloServlet.class.
But if I put the class file into: <tomcat home>\classes\, I can get correct response from the servlet.
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: Can not install Tomcat4.0 into Window 95?